SDL_AddHintCallback(3)

NAME
SDL_AddHintCallback - Add a function to watch a particular hint.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_AddHintCallback(const char *name,
                        SDL_HintCallback callback,
                        void *userdata);

FUNCTION PARAMETERS

name
    the hint to watch

callback
    An SDL_HintCallback
     function that will be called when the hint value changes

userdata
    a pointer to pass to the callback function

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_DelHintCallback(3)